package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxCUserBasicInfo;
import com.iformall.domain.po.WxCUserTags;
import com.iformall.domain.po.WxTags;
import com.iformall.enums.EnumAssignTagsTrigger;

import java.util.Date;
import java.util.List;

public interface WxCUserTagsService {

	/**
     * 根据实体查询分页列表
     *
     * @param record
     * @return
     */
	PageInfo<WxCUserTags> listAsPage(WxCUserTags record, Integer pageIndex, Integer pageSize);
	
	/**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxCUserTags getById(Long id);
    
        /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxCUserTags record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

	long countUser(String tenantId, Long tagId, Date startTime, Date endTime );

	List<WxTags> findTagList(String tenantId, List<Long> tagIds);


	List<WxTags> assignTags(List<Long> tagIdList, WxCUserBasicInfo user);
	List<WxTags> triggerAssignTags(EnumAssignTagsTrigger trigger, Object obj);

	void updateTagByUserId(Long cUserId, List<Long> tags);

}
